xine-lib: xine_audio_port_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_audio_port_s Struct Reference

`#include <audio_out.h>`

## Data Fields
uint32_t(* | get_capabilities )(xine_audio_port_t *)
int(* | get_property )(xine_audio_port_t *, int property)
int(* | set_property )(xine_audio_port_t *, int property, int value)
int(* | open )(xine_audio_port_t *, xine_stream_t *stream, uint32_t bits, uint32_t rate, int mode)
audio_buffer_t *(* | get_buffer )(xine_audio_port_t *)
void(* | put_buffer )(xine_audio_port_t *, audio_buffer_t *buf, xine_stream_t *stream)
void(* | close )(xine_audio_port_t *self, xine_stream_t *stream)
void(* | exit )(xine_audio_port_t *)
int(* | control )(xine_audio_port_t *, int cmd,...)
void(* | flush )(xine_audio_port_t *)
int(* | status )(xine_audio_port_t *, xine_stream_t *stream, uint32_t *bits, uint32_t *rate, int *mode)

## Field Documentation

## ◆ close

void(* xine_audio_port_s::close) (xine_audio_port_t *self, xine_stream_t *stream)

Referenced by _x_post_intercept_audio_port(), fftgraph_open_plugin(), fftgraph_port_close(), fftscope_open_plugin(), fftscope_port_close(), fooviz_open_plugin(), fooviz_port_close(), goom_open_plugin(), goom_port_close(), oscope_open_plugin(), oscope_port_close(), post_audio_close(), post_audio_rewire(), stretch_open_plugin(), stretch_port_close(), tdaan_open_plugin(), tdaan_port_close(), upmix_open_plugin(), volnorm_open_plugin(), and volnorm_port_close().

## ◆ control

int(* xine_audio_port_s::control) (xine_audio_port_t *, int cmd, ...)

Referenced by _x_post_intercept_audio_port(), post_audio_control(), post_audio_port_ref(), and post_audio_port_unref().

## ◆ exit

void(* xine_audio_port_s::exit) (xine_audio_port_t *)

Referenced by _x_post_intercept_audio_port(), post_audio_exit(), and xine_close_audio_driver().

## ◆ flush

void(* xine_audio_port_s::flush) (xine_audio_port_t *)

Referenced by _x_demux_flush_engine(), _x_post_intercept_audio_port(), and post_audio_flush().

## ◆ get_buffer

audio_buffer_t *(* xine_audio_port_s::get_buffer) (xine_audio_port_t *)

Referenced by _x_post_intercept_audio_port(), demux_unstick_ao_loop(), post_audio_get_buffer(), post_audio_port_ref(), post_audio_port_unref(), stretch_process_fragment(), upmix_mono_port_put_buffer(), upmix_port_put_buffer(), and vdr_audio_port_put_buffer().

## ◆ get_capabilities

uint32_t(* xine_audio_port_s::get_capabilities) (xine_audio_port_t *)

Referenced by _x_post_intercept_audio_port(), open_plugin(), open_plugin(), open_plugin(), post_audio_get_capabilities(), post_audio_port_ref(), post_audio_port_unref(), upmix_mono_port_open(), and upmix_port_open().

## ◆ get_property

int(* xine_audio_port_s::get_property) (xine_audio_port_t *, int property)

Referenced by _x_post_intercept_audio_port(), _x_query_buffer_usage(), _x_query_buffers(), audio_decoder_loop(), post_audio_get_property(), send_audio_amp_event_internal(), xine_get_param(), and xine_set_param().

## ◆ open

int(* xine_audio_port_s::open) (xine_audio_port_t *, xine_stream_t *stream, uint32_t bits, uint32_t rate, int mode)

Referenced by _x_post_intercept_audio_port(), fftgraph_open_plugin(), fftgraph_port_open(), fftscope_open_plugin(), fftscope_port_open(), fooviz_open_plugin(), fooviz_port_open(), goom_open_plugin(), goom_port_open(), oscope_open_plugin(), oscope_port_open(), post_audio_open(), post_audio_rewire(), stream_rewire_audio(), stretch_open_plugin(), stretch_port_open(), tdaan_open_plugin(), tdaan_port_open(), upmix_mono_open_plugin(), upmix_mono_port_open(), upmix_open_plugin(), upmix_port_open(), vdr_audio_open_plugin(), vdr_audio_port_open(), volnorm_open_plugin(), and volnorm_port_open().

## ◆ put_buffer

void(* xine_audio_port_s::put_buffer) (xine_audio_port_t *, audio_buffer_t *buf, xine_stream_t *stream)

Referenced by _x_post_intercept_audio_port(), demux_unstick_ao_loop(), fftgraph_open_plugin(), fftgraph_port_put_buffer(), fftscope_open_plugin(), fftscope_port_put_buffer(), fooviz_open_plugin(), fooviz_port_put_buffer(), goom_open_plugin(), goom_port_put_buffer(), oscope_open_plugin(), oscope_port_put_buffer(), post_audio_port_ref(), post_audio_port_unref(), post_audio_put_buffer(), stretch_open_plugin(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_open_plugin(), tdaan_port_put_buffer(), upmix_mono_open_plugin(), upmix_mono_port_put_buffer(), upmix_open_plugin(), upmix_port_put_buffer(), vdr_audio_open_plugin(), vdr_audio_port_put_buffer(), volnorm_open_plugin(), and volnorm_port_put_buffer().

## ◆ set_property

int(* xine_audio_port_s::set_property) (xine_audio_port_t *, int property, int value)

Referenced by _x_demux_flush_engine(), _x_post_intercept_audio_port(), close_internal(), play_internal(), post_audio_set_property(), set_speed_internal(), and xine_set_param().

## ◆ status

int(* xine_audio_port_s::status) (xine_audio_port_t *, xine_stream_t *stream, uint32_t *bits, uint32_t *rate, int *mode)

Referenced by _x_post_intercept_audio_port(), post_audio_rewire(), and post_audio_status().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/audio_out.h